#!/bin/bash

###############################################
#                                             #
# Script for backing up projects via pendrive #
# By Peter Green                              #
# Version 0.1                                 #
# Date of first version; 03-09-2022           #
# Date of last update; 2022-05-08             #
# Moved to my own Gitea instance 27-12-2022   #
#                                             #
###############################################

# Vars...
# Set backup dir paths...
pen=/pendrive/path/
local=/local/dir/path/

# Announce the name of the script...
echo "
                          ::announce::"

# Check to see if the pendrive is present...
if [ -d $pen ];
  then echo "
                   Pendrive found, proceeding..."
    else echo "
                    Pendrive not found, aborting!
                 Press 'Enter' to close this window..." && read -r && exit
fi

# Give the keyboard monkey the heads up...
echo "

                       ::IMPORTANT NOTE::

    This script used to back-up 'incrementally' so data would have accumulated.

       So it's not 'so' important now to get your transfer direction right!!!"

# Ask if we should send to or fetch from the pendrive...
echo "

          Transfer 'to' or 'from' pen drive? ('t' or 'f')"

read -r direction

# Let the muppet know what we are doing...
echo "
           You chose $direction. Validating input..."

# Check that the duffus behind the keyboard gets it right...
until [ "$direction" = t ] || [ "$direction" = f ];
  do echo "
           Invalid input. You must answer 't' or 'f'.
                   Please try again..." && read -r direction
done

# Run the backup...
if [ "$direction" = t ];
    then rsync -atv --progress $local $pen
        else rsync -atv --progress $pen $local
fi

# Let the mouse molester know we are finished and get some engagement from them...
echo "
     #########################################################
     #                                                       #
     # Backup finished, Press 'Enter' to close this window.  #
     #                                                       #
     #########################################################"

read -r
